# Contributor's Guide

#### Where to start?

* Refer to '[What is a foundational ID system](https://docs.mosip.io/1.2.0/overview#what-is-a-foundational-id-system)' for a comprehensive overview of foundational ID systems and MOSIP.
* Get to know the [Technology Stack](/1.1.5/architecture/mosip-architecture/technology-stack.md)
* Get to know the [MOSIP github repo structure](https://github.com/mosip)
* If you do not have a GitHub account, create one [here](https://github.com/signup).
* Deploy and try MOSIP using the [MOSIP deployer for developers](https://github.com/mosip/mosip-infra/tree/master/deployment/sandbox-v2).
* The [code of conduct](/1.1.5/contribute/code-of-conduct.md) has some basic ethics that must while operating within the MOSIP community. Make sure you read it completely. If you have any queries/suggestions, direct them to <info@mosip.io>.
* If you are a developer willing to contribute to MOSIP, take a look at [MOSIP Java coding standards](/1.1.5/contribute/coding-standards/mosip-java-coding-standards.md).

Congratulations! You've successfully bootstrapped yourself into the world of MOSIP. Welcome aboard!

***

#### Areas of contribution?

Curious about where you can contribute? There are plenty of ways to get involved with MOSIP :

**Requirements and Design**

* Share new requirements and ideas
* Review and provide feedback on design and architecture

**Coding**

* Fix issues and enhance features
* Review code contributions
* Triage and resolve bugs

**Testing**

* Run tests on unstable builds
* Create and add new tests
* Fix test scripts and generate test data

**Documentation**

* Correct and improve documentation
* Test documentation and report any issues
* Fix documentation issues
* Localize documents (French, Arabic, and Spanish are currently in high demand!)

#### Ready to fix an issue?

Fantastic! Submit a pull request by following our [code submission guidelines](/1.1.5/contribute/coding-standards/github-workflow.md).

#### Found an Issue or Have an Enhancement Request?

Fantastic! We'd love to hear your feedback. If you've discovered an issue or have an idea for an enhancement, please submit it to our [issues repository](https://github.com/mosip). Be sure to follow the [issue reporting guidelines](/1.1.5/contribute/issue-reporting-guideline.md) to help us address it efficiently. Your contributions are invaluable in helping us improve!

#### Running and enhancing tests

For the quality gurus and the testing geeks! Join the MOSIP testers group where you get to contribute towards improving the quality of MOSIP releases making it stable and better adoptable. Lots of material about the [MOSIP functional test rig](https://github.com/mosip/mosip-functional-tests) such as building and running the test rig, documentation to modify code, test scripts, and test data generation have been made available.

***

#### Getting in touch

We're here to assist you every step of the way!

* Join the [**Developer Mailing List**](https://groups.io/g/mosip-dev)**:** Stay up-to-date with the latest announcements, discussions, and support from the MOSIP developer community.&#x20;
* Join Our Community Room via [![Gitter](https://badges.gitter.im/mosip-community/community.svg)](https://gitter.im/mosip-community/community?utm_source=badge\&utm_medium=badge\&utm_campaign=pr-badge) : Connect with fellow community members, ask questions, and get support from experienced developers. It's a great place to collaborate and learn from others!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mosip.io/1.1.5/contribute/contributor-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
